
import Vue from 'vue'   //引入Vue
import Router from 'vue-router'  //引入vue-router
Vue.use(Router)  //Vue全局使用Router
import Layout from '@/layout'

// 公共路由
export const constantRoutes = [
    {
        path: '/redirect',
        component: Layout,
        hidden: true,
        children: [
            {
                path: '/redirect/:path(.*)',
                component: () => import('@/views/redirect')
            }
        ]
    },
    {
        path: '/login',
        name: "login",
        component: () => import('@/views/login'),
        hidden: true
    },
    {
        path: '',
        component: Layout,
        redirect: 'index',
        children: [
            {
                path: '/index',
                component: () => import('@/views/index'),
                name: 'index',
                meta: { title: '订单列表', icon: 'dashboard', affix: true }
            },
            {
                path: '/equipment',
                component: () => import('@/views/equipment'),
                name: 'equipment',
                meta: { title: '设备管理', icon: 'dashboard', affix: true }
            },

            // {
            //     path: 'index',
            //     component: () => import('@/views/index'),
            //     name: 'Index',
            //     meta: { title: '首页', icon: 'dashboard', affix: true }
            // }
        ]
    },
    // {
    //     path: '/register',
    //     component: () => import('@/views/register'),
    //     hidden: true
    // },
    // {
    //     path: '/404',
    //     component: () => import('@/views/error/404'),
    //     hidden: true
    // },
    // {
    //     path: '/401',
    //     component: () => import('@/views/error/401'),
    //     hidden: true
    // },


]


// 防止连续点击多次路由报错
let routerPush = Router.prototype.push;
let routerReplace = Router.prototype.replace;
// push
Router.prototype.push = function push(location) {
    return routerPush.call(this, location).catch(err => err)
}
// replace
Router.prototype.replace = function push(location) {
    return routerReplace.call(this, location).catch(err => err)
}

export default new Router({
    routes: constantRoutes
})